dispose video streaming url
curl --request DELETE \
--url https://apix.us.amity.co/api/v3/video-streaming/{streamId}/streaming-url \
--header 'X-API-Key: <api-key>'import requests
url = "https://apix.us.amity.co/api/v3/video-streaming/{streamId}/streaming-url"
headers = {"X-API-Key": "<api-key>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {'X-API-Key': '<api-key>'}};
fetch('https://apix.us.amity.co/api/v3/video-streaming/{streamId}/streaming-url', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"videoStreamings": [
{
"streamId": "<string>",
"userId": "<string>",
"userInternalId": "64be1f6cb9b4106b5a6bbf3f",
"userPublicId": "User123",
"thumbnailFileId": "<string>",
"title": "<string>",
"isLive": true,
"isDeleted": true,
"description": "<string>",
"platform": {
"name": "<string>",
"version": "<string>"
},
"moderationId": "<string>",
"startedAt": "2023-11-07T05:31:56Z",
"endedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"metadata": {},
"resolution": "SD",
"streamerUrl": {
"url": "<string>",
"components": {
"origin": "<string>",
"appName": "<string>",
"streamName": "<string>",
"query": "<string>"
}
},
"recordings": [
{
"flv": {
"url": "<string>",
"duration": 123,
"startTime": 123,
"stopTime": 123
},
"mp4": {
"url": "<string>",
"duration": 123,
"startTime": 123,
"stopTime": 123
},
"m3u8": {
"url": "<string>",
"duration": 123,
"startTime": 123,
"stopTime": 123
}
}
],
"watcherUrl": {
"flv": {
"url": "<string>",
"components": {
"origin": "<string>",
"appName": "<string>",
"streamName": "<string>",
"query": "<string>"
}
},
"hls": {
"url": "<string>",
"components": {
"origin": "<string>",
"appName": "<string>",
"streamName": "<string>",
"query": "<string>"
}
},
"rtmp": {
"url": "<string>",
"components": {
"origin": "<string>",
"appName": "<string>",
"streamName": "<string>",
"query": "<string>"
}
}
},
"postId": "<string>",
"channelId": "<string>",
"channelEnabled": true,
"isParent": false,
"parentStreamId": "<string>",
"childStreamIds": []
}
],
"videoStreamingChildren": [
{
"streamId": "<string>",
"userId": "<string>",
"userInternalId": "64be1f6cb9b4106b5a6bbf3f",
"userPublicId": "User123",
"thumbnailFileId": "<string>",
"title": "<string>",
"isLive": true,
"isDeleted": true,
"description": "<string>",
"platform": {
"name": "<string>",
"version": "<string>"
},
"moderationId": "<string>",
"startedAt": "2023-11-07T05:31:56Z",
"endedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"metadata": {},
"resolution": "SD",
"streamerUrl": {
"url": "<string>",
"components": {
"origin": "<string>",
"appName": "<string>",
"streamName": "<string>",
"query": "<string>"
}
},
"recordings": [
{
"flv": {
"url": "<string>",
"duration": 123,
"startTime": 123,
"stopTime": 123
},
"mp4": {
"url": "<string>",
"duration": 123,
"startTime": 123,
"stopTime": 123
},
"m3u8": {
"url": "<string>",
"duration": 123,
"startTime": 123,
"stopTime": 123
}
}
],
"watcherUrl": {
"flv": {
"url": "<string>",
"components": {
"origin": "<string>",
"appName": "<string>",
"streamName": "<string>",
"query": "<string>"
}
},
"hls": {
"url": "<string>",
"components": {
"origin": "<string>",
"appName": "<string>",
"streamName": "<string>",
"query": "<string>"
}
},
"rtmp": {
"url": "<string>",
"components": {
"origin": "<string>",
"appName": "<string>",
"streamName": "<string>",
"query": "<string>"
}
}
},
"postId": "<string>",
"channelId": "<string>",
"channelEnabled": true,
"isParent": false,
"parentStreamId": "<string>",
"childStreamIds": []
}
],
"videoStreamModerations": [
{
"moderationId": "<string>",
"streamId": "<string>",
"flagLabels": [
{
"threshold": 123,
"detectedAt": "2023-11-07T05:31:56Z"
}
],
"terminateLabels": [
{
"threshold": 123,
"detectedAt": "2023-11-07T05:31:56Z"
}
],
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"users": [
{
"userId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"_id": "<string>",
"path": "<string>",
"userInternalId": "<string>",
"userPublicId": "<string>",
"roles": [
"<string>"
],
"permissions": [],
"displayName": "<string>",
"profileHandle": "<string>",
"description": "<string>",
"avatarFileId": "<string>",
"avatarCustomUrl": "<string>",
"flagCount": 123,
"hashFlag": {
"bits": 123,
"hashes": 123,
"hash": [
"<string>"
]
},
"metadata": {},
"isGlobalBan": true,
"isBrand": true,
"isDeleted": true
}
],
"files": [
{
"fileId": "<string>",
"fileUrl": "<string>",
"accessType": "public",
"altText": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"attributes": {
"name": "<string>",
"extension": "<string>",
"size": 123,
"mimeType": "<string>",
"metadata": {
"exif": {},
"gps": {},
"height": 123,
"width": 123,
"isFull": true
}
}
}
]
}{
"status": "error",
"code": 400000,
"message": "Bad Request."
}{
"status": "error",
"code": 400400,
"message": "Resource Not Found."
}{
"status": "error",
"code": 500000,
"message": "Unexpected error"
}Video streaming
dispose video streaming url
This API will update streaming status to ended and dispose apsara streaming url
DELETE
/
api
/
v3
/
video-streaming
/
{streamId}
/
streaming-url
dispose video streaming url
Authorizations
Path Parameters
Stream id to update
Maximum string length:
50⌘I